#include <stdio.h>
#include <stdlib.h>

int da_li_Perica_prolazi(long H[], int N,long L){
    for(int i = 1; i <= N; i++){
        if(H[i] < L || H[i] == L)
        return i;
    }

    return -1;
}

int main() {
    int N;
    long L;
    scanf("%d %ld",&N,&L);
    long H[N];
    for(int i = 1; i <= N; i++)
        scanf("%ld",&H[i]);
        printf("%d",da_li_Perica_prolazi(H,N,L));
    return 0;
}